<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\Aktuelles\BearbeiteNews;

class BearbeiteNewsController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new BearbeiteNewsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new BearbeiteNewsRequest();
    $requestObj->news_id = \GetOperations::getVarValue('news');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BearbeiteNewsPresenter($pUseCaseResponse);
  }
}